ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erik Weibust <e...@weibust.net>
Subject problem with compiler settings
Date Tue, 14 Feb 2006 18:55:06 GMT
i'm looking for some help with the compiler options.  i have a project
that requires me to compile code written against java 1.2.  my system
is running java 5.0.  i'm using ant 1.6.5.

at the top of my build file i have set build.compiler = javac1.2 per
the ant manual.  i figured that would do the trick.  no luck.  i've
pasted the error message from my compile-profile target.  ant is
giving an error message that my version of java doesn't support a
"classic" compiler.  i'll also paste my javac task below this error
message.

thanks...
erik

compile-profile:
    [javac] Compiling 44 source files to
C:\dev\work\D6893\D6893\FJPKVPSourceCode_fromCVS\fj_dev61\build\classes
    [javac] This version of java does not support the classic compiler; upgradin
g to modern
    [javac] C:\dev\work\D6893\D6893\FJPKVPSourceCode_fromCVS\fj_dev61\src\ProfileArch\com\sprint\fj\arch\utility\SSLSocketThread.java:14:
reference to TrustManager is ambiguous, both class
com.sun.net.ssl.TrustManager in com.sun.net.ssl and class
javax.net.ssl.TrustManager in javax.net.ssl match
    [javac]     private TrustManager tm = null;
    [javac]                 ^

<javac srcdir="${cvsBase}/fj_dev61/src/ProfileArch"
destdir="${classes}" classpathref="project.classpath" debug="true"
failonerror="true" />
<javac srcdir="${cvsBase}/fj_dev61/src/backend" destdir="${classes}"
classpathref="project.classpath" debug="true" failonerror="true"/>


--
Erik Weibust
developer, blogger - http://erik.weibust.net
co-leader Spring Dallas User Group - http://SpringDallasUG.org

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message